JDK (1.6.0) not recognized in Firefox

After reloading my machine and installing all the JDK’s I use (1.3, 1.4, 1.6) the latest JDK wasn’t recognized in Firefox 2 though it was found and worked in IE. The Java control panel was set correctly and displayed JDK 1.6 as being active for IE and Firefox. The solution (based on this post) was to close Firefox, rename npoji600.dll to xxx_npoji600.dll (in C:Program FilesMozilla Firefoxplugins) and restart Firefox. Problem solved.